package com.dk.mdm.controller.common;

import com.dk.common.controller.BaseController;
import com.dk.common.model.pojo.PageList;
import com.dk.common.response.ResponseResultVO;
import com.dk.common.service.BaseService;
import com.dk.mdm.model.query.wxapi.basic.WxCommonQuery;
import com.dk.mdm.service.common.CommonService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Dictionary;
import java.util.List;
import java.util.Map;

/**
 * @author : 周兴
 * @desc : 控件数据源API
 * @date : 2023/1/3 17:21
 */
@Api(tags = "控件数据源API")
@RestController
@RequestMapping("/mst/common")
public class CommonController extends BaseController<Map<String, Object>> {
    @Override
    public BaseService<Map<String, Object>> getService() {
        return commonService;
    }

    @Autowired
    private CommonService commonService;

    /**
     * @desc : 获取数据字典项目
     * @author : 王英杰
     * @date : 2023/1/6 12:47
     */
    @ApiOperation(
            value = "获取数据字典项目",
            notes = "获取数据字典项目"
    )
    @PostMapping("get_dictionary_item_data")
    public ResponseResultVO<List<Map<String, Object>>> getDictionaryItemData(@RequestBody Map<String, Object> param) {
        return commonService.getDictionaryItemData(param);
    }

    /**
     * @desc : 刷新基础数据
     * @author : 周兴
     * @date : 2023/5/11 10:20
     */
    @ApiOperation(
            value = "刷新基础数据",
            notes = "刷新基础数据"
    )
    @PostMapping("refresh_basic_data")
    public ResponseResultVO refreshBasicData(@RequestBody Map<String, Object> param) {
        return commonService.refreshBasicData(param);
    }

    /**
     * @desc : 获取系统表数据种类
     * @author : 周兴
     * @date : 2023/1/6 12:47
     */
    @ApiOperation(
            value = "获取系统表数据种类",
            notes = "获取系统表数据种类"
    )
    @PostMapping("get_data_kind")
    public ResponseResultVO<List<Map<String, Object>>> getDataKind(@RequestBody Map<String, Object> param) {
        return commonService.getDataKind(param);
    }

    /**
     * @desc : 获取组织部门
     * @author : 姜宁
     * @date : 2023/1/9 13:50
     */
    @ApiOperation(
            value = "获取组织部门",
            notes = "获取组织部门"
    )
    @PostMapping("get_org")
    public ResponseResultVO<List<Map<String, Object>>> getOrg(@RequestBody Map<String, Object> param) {
        return commonService.getOrg(param);
    }

    /**
     * @desc : 只获取二级部门 按照level_code 排序
     * @author : 王英杰
     * @date : 2023/1/9 13:49
     */
    @ApiOperation(
            value = "获取组织部门",
            notes = "获取组织部门"
    )
    @PostMapping("get_procur_org")
    public ResponseResultVO<List<Map<String, Object>>> getProcureOrg(@RequestBody Map<String, Object> param) {
        return commonService.getProcureOrg(param);
    }

    /**
     * @desc : 获取组织部门（分页）
     * @author : 姜宁
     * @date : 2023/1/29 16:52
     */
    @ApiOperation(value = "获取员工分页查询", notes = "获取员工分页查询")
    @PostMapping({"get_org_by_page"})
    public ResponseResultVO<PageList<Map<String, Object>>> getOrgByPage(@RequestBody Map<String, Object> param) {
        return commonService.getOrgByPage(param);
    }

    /**
     * @desc : 获取角色
     * @author : 姜宁
     * @date : 2023/1/29 14:26
     */
    @ApiOperation(
            value = "获取角色",
            notes = "获取角色"
    )
    @PostMapping("get_role")
    public ResponseResultVO<List<Map<String, Object>>> getRole(@RequestBody Map<String, Object> param) {
        return commonService.getRole(param);
    }

    /**
     * @desc : 获取员工
     * @author : 姜宁
     * @date : 2023/1/29 16:52
     */
    @ApiOperation(value = "获取员工", notes = "获取员工")
    @PostMapping({"get_staff"})
    public ResponseResultVO<List<Map<String, Object>>> getStaff(@RequestBody Map<String, Object> param) {
        return commonService.getStaff(param);
    }

    /**
     * @desc : 获取员工（分页）
     * @author : 姜宁
     * @date : 2023/1/29 16:52
     */
    @ApiOperation(value = "获取员工分页查询", notes = "获取员工分页查询")
    @PostMapping({"get_staff_by_page"})
    public ResponseResultVO<PageList<Map<String, Object>>> getStaffByPage(@RequestBody Map<String, Object> param) {
        return commonService.getStaffByPage(param);
    }

    /**
     * @desc : 获取系统参数
     * @author : 周兴
     * @date : 2023/1/10 13:53
     */
    @ApiOperation(
            value = "获取系统参数",
            notes = "获取系统参数"
    )
    @PostMapping("get_setting_value")
    public ResponseResultVO getSettingValue(@RequestBody Map<String, Object> param) {
        return commonService.getSettingValue(param);
    }

    /**
     * @desc : 查询系统参数种类
     * @author : 夏常明
     * @date : 2023/1/29 17:06
     */
    @ApiOperation(
            value = "查询系统参数种类",
            notes = "查询系统参数种类"
    )
    @PostMapping("get_setting_kind")
    public ResponseResultVO<List<Map<String, Object>>> getSettingKind(@RequestBody Map<String, Object> param) {
        return commonService.getSettingKind(param);
    }

    /**
     * @desc : 获取数据字典
     * @author : 姜宁
     * @date : 2023/2/7 14:48
     */
    @ApiOperation(
            value = "获取数据字典",
            notes = "获取数据字典"
    )
    @PostMapping("get_dictionary_data")
    public ResponseResultVO<List<Map<String, Object>>> getDictionaryData(@RequestBody Map<String, Object> param) {
        return commonService.getDictionaryData(param);
    }

    /**
     * @desc : 获取用户表格设置
     * @author : 周兴
     * @date : 2023/4/4 15:11
     */
    @ApiOperation(
            value = "获取用户表格设置",
            notes = "获取用户表格设置"
    )
    @PostMapping("get_user_table_info")
    public ResponseResultVO<List<Map<String, Object>>> getUserTableInfo(@RequestBody Map<String, Object> param) {
        return commonService.getUserTableInfo(param);
    }

    /**
     * @desc : 获取用户功能
     * @author : 周兴
     * @date : 2023/4/4 15:11
     */
    @ApiOperation(
            value = "获取用户功能",
            notes = "获取用户功能"
    )
    @PostMapping("get_user_function")
    public ResponseResultVO<List<Map<String, Object>>> getUserFunction(@RequestBody Map<String, Object> param) {
        return commonService.getUserFunction(param);
    }

    /**
     * @desc : 查导航菜单(自定义报表用)
     * @author : 周兴
     * @date : 2023/4/4 15:11
     */
    @ApiOperation(
            value = "查导航菜单(自定义报表用)",
            notes = "查导航菜单(自定义报表用)"
    )
    @PostMapping("get_menu_navigation")
    public ResponseResultVO<List<Map<String, Object>>> getMenuNavigation(@RequestBody Map<String, Object> param) {
        return commonService.getMenuNavigation(param);
    }

    /**
     * @desc : 获取数据类型
     * @author : 周兴
     * @date : 2023/6/2 11:02
     */
    @ApiOperation(value = "获取数据类型", notes = "获取数据类型")
    @PostMapping({"get_value_kind"})
    public ResponseResultVO<List<Map<String, Object>>> getValueKind(@RequestBody Map<String, Object> param) {
        return commonService.getValueKind(param);
    }

    /**
     * @desc : 获取应用
     * @author : 洪旭东
     * @date : 2023-06-30 14:56
     */
    @ApiOperation(
            value = "获取应用",
            notes = "获取应用"
    )
    @PostMapping("get_application")
    public ResponseResultVO<List<Map<String, String>>> getApplication() {
        return commonService.getApplication();
    }

    /**
     * @desc : 获取单据
     * @author : 周兴
     * @date : 2023-08-09 14:32
     */
    @ApiOperation(
            value = "获取单据",
            notes = "获取单据"
    )
    @PostMapping("get_doc")
    public ResponseResultVO<List<Map<String, Object>>> getDoc(@RequestBody Map<String, Object> param) {
        return commonService.getDoc(param);
    }

    /**
     * @desc : 获取商品
     * @author : 姜宁
     * @date : 2023/1/9 13:50
     */
    @ApiOperation(
            value = "获取商品",
            notes = "获取商品"
    )
    @PostMapping("get_goods")
    public ResponseResultVO<List<Map<String, Object>>> getGoods(@RequestBody Map<String, Object> param) {
        return commonService.getGoods(param);
    }

    /**
     * @desc : 获取商品（分页）
     * @author : 姜宁
     * @date : 2023/1/29 16:52
     */
    @ApiOperation(value = "获取商品分页查询", notes = "获取商品分页查询")
    @PostMapping({"get_goods_by_page"})
    public ResponseResultVO<PageList<Map<String, Object>>> getGoodsPage(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsPage(param);
    }

    /**
     * @desc : 获取商品（销售订单开单用）
     * @author : 付斌
     * @date : 2024-03-09 9:54
     */
    @PostMapping("get_goods_for_order")
    public ResponseResultVO<List<Map<String, Object>>> getGoodsForOrder(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsForOrder(param);
    }

    /**
     * @desc : 获取商品（销售订单开单用）（分页）
     * @author : 付斌
     * @date : 2024-03-09 9:55
     */
    @PostMapping({"get_goods_for_order_by_page"})
    public ResponseResultVO<PageList<Map<String, Object>>> getGoodsForOrderByPage(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsForOrderByPage(param);
    }

    /**
     * @desc   : 获取商品（采购订单开单用）
     * @author : 常皓宁
     * @date   : 2024/3/9 10:08
     */
    @PostMapping("get_goods_for_purchase")
    public ResponseResultVO<List<Map<String, Object>>> getGoodsForPurchase(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsForPurchase(param);
    }

    /**
     * @desc   : 获取商品（采购订单开单用）（分页）
     * @author : 常皓宁
     * @date   : 2024/3/9 10:08
     */
    @PostMapping({"get_goods_for_purchase_by_page"})
    public ResponseResultVO<PageList<Map<String, Object>>> getGoodsForPurchaseByPage(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsForPurchaseByPage(param);
    }

    /**
     * @desc : 获取客户
     * @author : 付斌
     * @date : 2024-03-09 9:55
     */
    @ApiOperation(
            value = "获取客户",
            notes = "获取客户"
    )
    @PostMapping("get_customer")
    public ResponseResultVO<List<Map<String, Object>>> getCustomer(@RequestBody Map<String, Object> param) {
        return commonService.getCustomer(param);
    }

    /**
     * @desc : 获取客户（分页）
     * @author : 付斌
     * @date : 2024-03-09 9:55
     */
    @ApiOperation(value = "获取客户分页查询", notes = "获取客户分页查询")
    @PostMapping({"get_customer_by_page"})
    public ResponseResultVO<PageList<Map<String, Object>>> GetCustomerByPage(@RequestBody Map<String, Object> param) {
        return commonService.GetCustomerByPage(param);
    }

    /**
     * @desc : 获取供应商
     * @author : 常皓宁
     * @date : 2024/3/1 9:19
     */
    @ApiOperation(
            value = "获取供应商",
            notes = "获取供应商"
    )
    @PostMapping("get_supplier")
    public ResponseResultVO<List<Map<String, Object>>> getSupplier(@RequestBody Map<String, Object> param) {
        return commonService.getSupplier(param);
    }

    /**
     * @desc : 获取供应商分页
     * @author : 常皓宁
     * @date : 2024/3/1 9:19
     */
    @ApiOperation(
            value = "获取供应商（分页）",
            notes = "获取供应商（分页）"
    )
    @PostMapping("get_supplier_by_page")
    public ResponseResultVO<PageList<Map<String, Object>>> getSupplierByPage(@RequestBody Map<String, Object> param) {
        return commonService.getSupplierByPage(param);
    }

    /**
     * @desc : 获取渠道
     * @author : 付斌
     * @date : 2024-03-02 10:18
     */
    @ApiOperation(value = "获取渠道", notes = "获取渠道")
    @PostMapping({"get_channel"})
    public ResponseResultVO<List<Map<String, Object>>> getChannel(@RequestBody Map<String, Object> param) {
        return commonService.getChannel(param);
    }

    /**
     * @desc :  商品品牌查询
     * @author : 王英杰
     * @date : 2024/2/26 10:36
     */
    @ApiOperation(value = "分页、关联、条件查询", notes = "分页、关联、条件查询")
    @PostMapping({"goods_brand_list_by"})
    public ResponseResultVO<PageList<Map<String, Object>>> goodsBrandListBy(@RequestBody Map<String, Object> param) {
        return commonService.goodsBrandListBy(param);
    }

    /**
     * @desc :  商品种类查询
     * @author : 王英杰
     * @date : 2024/2/26 10:36
     */
    @ApiOperation(value = "分页、关联、条件查询", notes = "分页、关联、条件查询")
    @PostMapping({"goods_category_list_by"})
    public ResponseResultVO<PageList<Map<String, Object>>> goodsCategoryListBy(@RequestBody Map<String, Object> param) {
        return commonService.goodsCategoryListBy(param);
    }

    /**
     * @desc :  商品系列查询
     * @author : 王英杰
     * @date : 2024/2/26 10:36
     */
    @ApiOperation(value = "分页、关联、条件查询", notes = "分页、关联、条件查询")
    @PostMapping({"goods_Series_list_by"})
    public ResponseResultVO<PageList<Map<String, Object>>> goodsSeriesListBy(@RequestBody Map<String, Object> param) {
        return commonService.goodsSeriesListBy(param);
    }

    /**
     * @desc :  商品种类查询
     * @author : 于继渤
     * @date : 2024/2/26 10:36
     */
    @ApiOperation(value = "分页、关联、条件查询", notes = "分页、关联、条件查询")
    @PostMapping({"get_goods_category_no_page"})
    public ResponseResultVO<List<Map<String, Object>>> getGoodsCategoryNoPage(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsCategoryNoPage(param);
    }
    /**
     * @desc :  商品种类查询
     * @author : 王英杰
     * @date : 2024/2/26 10:36
     */
    @ApiOperation(value = "分页、关联、条件查询", notes = "分页、关联、条件查询")
    @PostMapping({"get_goods_category_tree"})
    public ResponseResultVO<List<Map<String, Object>>> getGoodsCategoryTree(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsCategoryTree(param);
    }

    /**
     * @desc :  计量单位查询
     * @author : 王英杰
     * @date : 2024/2/26 10:36
     */
    @ApiOperation(value = "分页、关联、条件查询", notes = "分页、关联、条件查询")
    @PostMapping({"unit_list_by"})
    public ResponseResultVO<PageList<Map<String, Object>>> unitListBy(@RequestBody Map<String, Object> param) {
        return commonService.unitListBy(param);
    }

    /**
     * @desc : 获取仓库
     * @author : 王英杰
     * @date : 2024/2/26 10:36
     */
    @ApiOperation(
            value = "获取仓库档案",
            notes = "获取仓库档案"
    )
    @PostMapping("get_warehouse_by_page")
    public ResponseResultVO<PageList<Map<String, Object>>> getWarehouseByPage(@RequestBody Map<String, Object> param) {
        return commonService.getWarehouseByPage(param);
    }


    /**
     * @desc : 获取仓库
     * @author : 常皓宁
     * @date : 2024/3/4 10:49
     */
    @ApiOperation(
            value = "获取仓库",
            notes = "获取仓库"
    )
    @PostMapping("get_warehouse")
    public ResponseResultVO<List<Map<String, Object>>> getWarehouse(@RequestBody Map<String, Object> param) {
        return commonService.getWarehouse(param);
    }

    /**
     * @desc : 查询库存
     * @author : 付斌
     * @date : 2024-03-05 10:50
     */
    @ApiOperation(
            value = "获取商品",
            notes = "获取商品"
    )
    @PostMapping("get_inventory")
    public ResponseResultVO<List<Map<String, Object>>> getInventory(@RequestBody Map<String, Object> param) {
        return commonService.getInventory(param);
    }

    /**
     * @desc : 查询库存（分页）
     * @author : 付斌
     * @date : 2024-03-05 10:50
     */
    @ApiOperation(value = "获取商品分页查询", notes = "获取商品分页查询")
    @PostMapping({"get_inventory_by_page"})
    public ResponseResultVO<PageList<Map<String, Object>>> getInventoryByPage(@RequestBody Map<String, Object> param) {
        return commonService.getInventoryByPage(param);
    }

    /**
     * @desc : 获取页面数据源集合 (小程序用)
     * @author : 于继渤
     * @date : 2024/2/26 10:36
     */
    @ApiOperation(
            value = "获取页面初始加载数据",
            notes = "获取页面初始加载数据"
    )
    @PostMapping("get_init_data")
    public ResponseResultVO<?> getInitData(@RequestBody Map<String, Object> param) {
        return commonService.getInitData(param);
    }


    /**
     * @desc   : 查询供应商与客户
     * @date   : 2024/3/13 14:01
     * @author : 寇珊珊
     */
    @PostMapping({"get_supplier_and_customer"})
    public ResponseResultVO<?> getSupplierAndCustomer(@RequestBody Map<String, Object> param) {
        return commonService.getSupplierAndCustomer(param);
    }

    /**
     * @desc   : 获取供应商和客户数据(分页)
     * @date   : 2024/3/13 14:53
     * @author : 寇珊珊
     */
    @ApiOperation(
            value = "获取供应商和客户数据（分页）",
            notes = "获取供应商和客户数据（分页）"
    )
    @PostMapping("get_supplier_and_customer_by_page")
    public ResponseResultVO<PageList<Map<String, Object>>> getSupplierAndCustomerByPage(@RequestBody Map<String, Object> param) {
        return commonService.getSupplierAndCustomerByPage(param);
    }

    /**
     * @desc   : 获取组织机构
     * @date   : 2024/3/13 16:48
     * @author : 寇珊珊
     */
    @ApiOperation(
            value = "获取组织机构",
            notes = "获取组织机构"
    )
    @PostMapping("get_organization")
    public ResponseResultVO<List<Map<String, Object>>> getOrganization(@RequestBody Map<String, Object> param) {
        return commonService.getOrganization(param);
    }


    /**
     * @desc   : 获取组织机构（分页）
     * @date   : 2024/3/13 17:03
     * @author : 寇珊珊
     */
    @ApiOperation(
            value = "获取组织机构（分页）",
            notes = "获取组织机构（分页）"
    )
    @PostMapping("get_organization_by_page")
    public ResponseResultVO<PageList<Map<String, Object>>> getOrganizationByPage(@RequestBody Map<String, Object> param) {
        return commonService.getOrganizationByPage(param);
    }

    /**
     * @desc : 获取资金账户（下拉）
     * @author : 付斌
     * @date : 2024-03-14 11:34
     */
    @ApiOperation(
            value = "获取资金账户",
            notes = "获取资金账户"
    )
    @PostMapping("get_mac")
    public ResponseResultVO<List<Map<String, Object>>> getMac(@RequestBody Map<String, Object> param) {
        return commonService.getMac(param);
    }

    /**
     * @desc : 获取资金账户（放大镜）
     * @author : 付斌
     * @date : 2024-03-05 10:50
     */
    @ApiOperation(
            value = "获取商品",
            notes = "获取商品"
    )
    @PostMapping("get_money_account")
    public ResponseResultVO<List<Map<String, Object>>> getMoneyAccount(@RequestBody Map<String, Object> param) {
        return commonService.getMoneyAccount(param);
    }

    /**
     * @desc : 获取资金账户（放大镜分页）
     * @author : 付斌
     * @date : 2024-03-05 10:50
     */
    @ApiOperation(value = "获取商品分页查询", notes = "获取商品分页查询")
    @PostMapping({"get_money_account_by_page"})
    public ResponseResultVO<PageList<Map<String, Object>>> getMoneyAccountByPage(@RequestBody Map<String, Object> param) {
        return commonService.getMoneyAccountByPage(param);
    }

    /**
     * @desc   : 获取多业务部门
     * @author : 付斌
     * @date   : 2024-03-20 16:54
     */
    @ApiOperation(
            value = "获取多业务部门",
            notes = "获取多业务部门"
    )
    @PostMapping("get_multi_org")
    public ResponseResultVO<List<Map<String, Object>>> selectMultiOrg(@RequestBody Map<String, Object> param) {
        return commonService.selectMultiOrg(param);
    }

    /**
     * @desc   : 获取多业务员
     * @author : 付斌
     * @date   : 2024-03-20 16:54
     */
    @ApiOperation(
            value = "获取多业务员",
            notes = "获取多业务员"
    )
    @PostMapping("get_multi_staff")
    public ResponseResultVO<List<Map<String, Object>>> selectMultiStaff(@RequestBody Map<String, Object> param) {
        return commonService.selectMultiStaff(param);
    }

    /**
     * @desc   : 组织仓库
     * @author : 宋扬
     * @date   : 2024/3/22 15:47
     */
    @ApiOperation(
            value = "获取组织仓库",
            notes = "获取组织仓库"
    )
    @PostMapping("get_multi_warehouse")
    public ResponseResultVO<List<Map<String, Object>>> selectMultiWarehouse(@RequestBody Map<String, Object> param) {
        return commonService.selectMultiWarehouse(param);
    }

    /**
     * @desc   : 组织资金账户
     * @author : 宋扬
     * @date   : 2024/3/22 15:52
     */
    @ApiOperation(
            value = "获取资金账户",
            notes = "获取资金账户"
    )
    @PostMapping("get_multi_moneyAccount")
    public ResponseResultVO<List<Map<String, Object>>> selectMultiMoneyAccount(@RequestBody Map<String, Object> param) {
        return commonService.selectMultiMoneyAccount(param);
    }

    /**
     * @desc   : 获取商品（采购订单开单用）
     * @author : 常皓宁
     * @date   : 2024/3/9 10:08
     */
    @PostMapping("get_goods_for_purchase_return")
    public ResponseResultVO<List<Map<String, Object>>> getGoodsForPurchaseReturn(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsForPurchaseReturn(param);
    }

    /**
     * @desc   : 获取商品（采购订单开单用）（分页）
     * @author : 常皓宁
     * @date   : 2024/3/9 10:08
     */
    @PostMapping({"get_goods_for_purchase_return_by_page"})
    public ResponseResultVO<PageList<Map<String, Object>>> getGoodsForPurchaseReturnByPage(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsForPurchaseReturnByPage(param);
    }

    @ApiOperation(
            value = "获取员工的范围权限类型",
            notes = "获取员工的范围权限类型"
    )
    @PostMapping("get_purview_type")
    public ResponseResultVO<?> getPurviewType(@RequestBody Map<String, Object> param) {
        return commonService.getPurviewType(param);
    }

    @ApiOperation(
            value = "获取库存",
            notes = "获取库存"
    )
    @PostMapping("get_inventory_by_list")
    public ResponseResultVO<List<Map<String, Object>>> getInventoryByList(@RequestBody Map<String, Object> param) {
        return commonService.getInventoryByList(param);
    }

    @ApiOperation(
            value = "查询标签打印项目",
            notes = "查询标签打印项目"
    )
    @PostMapping("get_label_print_item")
    public ResponseResultVO<List<Map<String, Object>>> getLabelPrintItem(@RequestBody Map<String, Object> param) {
        return commonService.getLabelPrintItem(param);
    }

    /**
     * @desc   : 获取组织仓库
     * @author : 付斌
     * @date   : 2024-04-10 13:30
     */
    @ApiOperation(
            value = "获取组织仓库",
            notes = "获取组织仓库"
    )
    @PostMapping("get_org_wh")
    public ResponseResultVO<List<Map<String, Object>>> getOrgWh(@RequestBody Map<String, Object> param) {
        return commonService.getOrgWh(param);
    }


    /**
     * @desc   : 获取商品（其他入库开单用）
     * @date   : 2024/4/20 11:19
     * @author : 寇珊珊
     */
    @PostMapping("get_goods_for_into")
    public ResponseResultVO<List<Map<String, Object>>> getGoodsForInto(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsForInto(param);
    }

    /**
     * @desc   : 获取商品（其他入库开单用）（分页）
     * @date   : 2024/4/20 11:19
     * @author : 寇珊珊
     */
    @PostMapping({"get_goods_for_into_by_page"})
    public ResponseResultVO<PageList<Map<String, Object>>> getGoodsForIntoByPage(@RequestBody Map<String, Object> param) {
        return commonService.getGoodsForIntoByPage(param);
    }
}



